<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Using the Unicode Character Table</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
  <meta name="DC.creator" content="Julian Dabbert" />
  <meta name="DC.date" content="2009-11-17T16:56:37.74" />
  <link type="text/css" charset="utf-8" href="../help.css" rel="stylesheet" />
</head>

<body>
<h1 id="toc0">Using the Unicode Character Table</h1>

<p>The Unicode Character Table enables the user to easily conduct search, copying and insertion of symbols from the unicode character set into the active editor or the system clipboard. Users can create their own custom sets of unicode symbols for use in the unicode character table.</p>

<p>The unicode character table is started automatically together with the XML editor. It can also be accessed via the menu by choosing "Window / Show View / other..." and choosing the entry "Unicode Character Table" in the opening dialog (cf. Figure 1). </p>
<p>
<div>
<img src="xmleditor-img25.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: Show view: Unicode character table</p>
</p>

<p>Another way of access is the use of keyboard shortcuts, especially suited for advanced users. The required key combinations are platform dependent: <br/> Windows / Linux: Shift + Alt + Q, Q <br/> Mac: Alt + Command + Q, Q</p>

<p>The character table consists of a toolbar in the head area, a table in the body area and an information field with function buttons in the footer (cf. Figure 2).</p>

<p>
<div>
<img src="xmleditor-img26.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: Overview over the table</p>
</p>


<p>The toolbar offers a selection range of all unicode symbols that is sorted by association to blocks or scripts. For selecting the block range,  press the button "Toggle Block Mode" in the toolbar and choose the intended entry in the combobox on the right-hand side. The selection of a script entry follows a symmetrical fashion, selecting the "Toggle Script Mode" button instead. User-defined Charsets are selected on the right-hand side of the head area and in the menu which opens upon selection of the downward-pointing triangle. These character sets are directly selected upon single click on the button.</p>
<p>The table area displays all symbols contained in the selected character set and enables the user to select any of these by a single mouse click. Executing a right mouse click on the selected symbol opens a context menu for saving the selected character into the operating system's clipboard.</p>
<p>The information field shows the unicode codepoint as well as the description text of the currently selected symbol and displays a magnified view of the selected symbol for a more detailed view. The "Recent" button on the left-hand side opens a context menu of the 10 most recently inserted symbols, the "Insert" button on the right-hand side immediately inserts the selected symbol into an open XML-editor if one exists.</p>
<p>The toolbar menu can be used to show the "Custom Charset Editor" for creating and modifying user-defined character sets (cf. figure 3).</p>


<p>
<div>
<img src="xmleditor-img27.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: The custom charset editor</p>
</p>


<p>This editor shows a list of currently existing character sets in the head area. The body area contains a toolbar for inserting, deleting and saving the character sets. The footer area displays the values of the currently selected character set and allows its modifications. The name and icon of the Character set can be changed as well as the content, which consists of either a predefined unicode blockset or a custom list of unicode characters. These characters can be entered either as a decimal unicode character codepoint (e.g. "56789"), as a unicode hexadecimal codepoint with a leading sign (e.g. "U+1D100") or as a directy inserted symbol from the system clipboard. Changes to the blockset are made persistent only upon pressing the "save" button in the toolbar and shown in the table after restarting the unicode character table in the Textgrid Lab.</p>

</body>
</html>